Endpoint
PUT
/backend/status/{id}Path Parameters
string
required
Status ID
Body Parameters
string
Status name
string
Color in hexadecimal
integer
Display order
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update an existing status
/backend/status/{id}curl -X PUT "https://api.leavo.ai/backend/status/status-uuid" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "In Review",
"color": "#8B5CF6"
}'
const response = await fetch('https://api.leavo.ai/backend/status/status-uuid', {
method: 'PUT',
headers: {
'Authorization': 'Bearer your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'In Review',
color: '#8B5CF6'
})
});
{
"success": true,
"data": {
"id": "status-uuid",
"name": "In Review",
"color": "#8B5CF6",
"order": 2,
"updated_at": "2024-01-15T14:00:00Z"
}
}